import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-alert-modal',
  templateUrl: './alert-modal.component.html',
  styleUrls: ['./alert-modal.component.scss'],
})
export class AlertModalComponent {
  @Input() isVisible = false;
  @Input() title = 'Title';
  @Input() description = 'Description';

  @Output() isVisibleChange = new EventEmitter<boolean>();
  @Output() onConfirm = new EventEmitter<void>();

  handleConfirm() {
    this.isVisibleChange.emit(false);
    this.onConfirm.emit();
  }
}
